Package com.mckoi.database.jdbc

## Interface ProtocolConstants

    public interface ProtocolConstants

Constants used in the JDBC database communication protocol.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `ACKNOWLEDGEMENT` Sent as an acknowledgement to a command.
`static int` `AUTHENTICATION_ERROR` There was an authentication error.
`static int` `CLOSE` Closes the protocol stream.
`static int` `DATABASE_EVENT` Denotes an event from the database (trigger, etc).
`static int` `DISPOSE_RESULT` Disposes the server-side resources associated with a result.
`static int` `DISPOSE_STREAMABLE_OBJECT` Disposes of the resources associated with a streamable object on the server.
`static int` `EXCEPTION` Operation threw an exception.
`static int` `FAILED` Operation failed (followed by a UTF String error message).
`static int` `PING` Ping command.
`static int` `PUSH_STREAMABLE_OBJECT_PART` For pushing a part of a streamable object onto the server from the client.
`static int` `QUERY` Query sent to the server for processing.
`static int` `RESULT_SECTION` Requests a section of a result from the server.
`static int` `SERVER_REQUEST` Denotes a server side request for information.
`static int` `STREAMABLE_OBJECT_SECTION` Requests a section of a streamable object from the server.
`static int` `SUCCESS` Operation was successful.
`static int` `USER_AUTHENTICATION_FAILED` Sent if login failed because username or password were invalid.
`static int` `USER_AUTHENTICATION_PASSED` Sent if login passed.

### Field Detail

#### ACKNOWLEDGEMENT

    static final int ACKNOWLEDGEMENT

Sent as an acknowledgement to a command.

See Also:
  Constant Field Values

#### USER_AUTHENTICATION_PASSED

    static final int USER_AUTHENTICATION_PASSED

Sent if login passed.

See Also:
  Constant Field Values

#### USER_AUTHENTICATION_FAILED

    static final int USER_AUTHENTICATION_FAILED

Sent if login failed because username or password were invalid.

See Also:
  Constant Field Values

#### SUCCESS

    static final int SUCCESS

Operation was successful.

See Also:
  Constant Field Values

#### FAILED

    static final int FAILED

Operation failed (followed by a UTF String error message).

See Also:
  Constant Field Values

#### EXCEPTION

    static final int EXCEPTION

Operation threw an exception.

See Also:
  Constant Field Values

#### AUTHENTICATION_ERROR

    static final int AUTHENTICATION_ERROR

There was an authentication error. A query couldn't be executed because the user does not have enough rights.

See Also:
  Constant Field Values

#### QUERY

    static final int QUERY

Query sent to the server for processing.

See Also:
  Constant Field Values

#### DISPOSE_RESULT

    static final int DISPOSE_RESULT

Disposes the server-side resources associated with a result.

See Also:
  Constant Field Values

#### RESULT_SECTION

    static final int RESULT_SECTION

Requests a section of a result from the server.

See Also:
  Constant Field Values

#### STREAMABLE_OBJECT_SECTION

    static final int STREAMABLE_OBJECT_SECTION

Requests a section of a streamable object from the server.

See Also:
  Constant Field Values

#### DISPOSE_STREAMABLE_OBJECT

    static final int DISPOSE_STREAMABLE_OBJECT

Disposes of the resources associated with a streamable object on the server.

See Also:
  Constant Field Values

#### PUSH_STREAMABLE_OBJECT_PART

    static final int PUSH_STREAMABLE_OBJECT_PART

For pushing a part of a streamable object onto the server from the client.

See Also:
  Constant Field Values

#### PING

    static final int PING

Ping command.

See Also:
  Constant Field Values

#### CLOSE

    static final int CLOSE

Closes the protocol stream.

See Also:
  Constant Field Values

#### DATABASE_EVENT

    static final int DATABASE_EVENT

Denotes an event from the database (trigger, etc).

See Also:
  Constant Field Values

#### SERVER_REQUEST

    static final int SERVER_REQUEST

Denotes a server side request for information. For example, a request for a part of a streamable object.

See Also:
  Constant Field Values